http_request Struct Reference
Ameba SDK » Network » HTTPD

The structure is the context used for HTTP request header parsing. More...

`#include <httpd.h>`

## Data Fields

uint8_t * | header
size_t | header_len
uint8_t * | method
size_t | method_len
uint8_t * | path
size_t | path_len
uint8_t * | query
size_t | query_len
uint8_t * | version
size_t | version_len
uint8_t * | host
size_t | host_len
uint8_t * | content_type
size_t | content_type_len
size_t | content_len

## Detailed Description

The structure is the context used for HTTP request header parsing.

Note
  Only header string includes string terminator.

The documentation for this struct was generated from the following file:

- httpd.h